#include <conio.h>
#include <ctype.h>
#include <stdio.h>

void main() {
	 int key;


// Читаем в цикле символы с клавиатуры и отображаем
// ASCII-коды нажатых клавиш.
// Выходим из цикла при нажатии не клавишу ESC

	 for(;;) {

// Читаем символ

		  key = getch();

// Если прочитанный символ равен 0, вызываем функцию getch()
// для получения расширенного ASCII-кода нажатой клавиши

		  if( (key == 0) || (key == 0xe0) ) {
				key = getch();
				printf( "Расширенный ASCII-код:\t" );
		  }

		  else printf( "ASCII-код:\t");

		  printf("%d\n",key);

// При нажатии на клавишу ESC выходим из цикла

		  if( key == 27) break;
	 }
}

